import {filterEmpty} from '@main/utils/props'
import PopMenu from './popMenu'

const Menu = {
    props:{  
        mode:{type:String}
    },
    methods:{
        addItem(){
            // alert(1);
        }
    },
    render(h){
        let popMenuProps = {
            props:{
                ...this.$props,
                eventKey:'menu-',
                level:0,
                children:filterEmpty(this.$slots.default || [])
            }
        }
        return (
            <PopMenu {...popMenuProps}></PopMenu>
        )
    }
}
export default Menu;